| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
RTPSParticipantListener Class Reference
eProsima Fast DDS API Reference » RTPS

Class RTPSParticipantListener with virtual method that the user can overload to respond to certain events. More...

`#include <RTPSParticipantListener.hpp>`

## Public Member Functions

| RTPSParticipantListener ()
virtual | ~RTPSParticipantListener ()
virtual void | on_participant_discovery (RTPSParticipant *participant, ParticipantDiscoveryStatus reason, const ParticipantBuiltinTopicData &info, bool &should_be_ignored)
| This method is called when a new Participant is discovered, or a previously discovered participant changes its QOS or is removed.
virtual void | on_reader_discovery (RTPSParticipant *participant, ReaderDiscoveryStatus reason, const SubscriptionBuiltinTopicData &info, bool &should_be_ignored)
| This method is called when a new Reader is discovered, or a previously discovered reader changes its QOS or is removed.
virtual void | on_writer_discovery (RTPSParticipant *participant, WriterDiscoveryStatus reason, const PublicationBuiltinTopicData &info, bool &should_be_ignored)
| This method is called when a new Writer is discovered, or a previously discovered writer changes its QOS or is removed.

## Detailed Description

Class RTPSParticipantListener with virtual method that the user can overload to respond to certain events.

## Constructor & Destructor Documentation

## ◆ RTPSParticipantListener()

RTPSParticipantListener | ( |  | ) |

inline

## ◆ ~RTPSParticipantListener()

virtual ~RTPSParticipantListener | ( |  | ) |

inline virtual

## Member Function Documentation

## ◆ on_participant_discovery()

virtual void on_participant_discovery | ( | RTPSParticipant * | participant,
|  | ParticipantDiscoveryStatus | reason,
|  | const ParticipantBuiltinTopicData & | info,
|  | bool & | should_be_ignored )

inline virtual

This method is called when a new Participant is discovered, or a previously discovered participant changes its QOS or is removed.

Parameters

  [out] | participant | Pointer to the Participant which discovered the remote participant.
  [out] | reason | Reason of the change in the status of the discovered participant.
  [out] | info | Remote participant information. User can take ownership of the object.
  [out] | should_be_ignored | Flag to indicate the library to automatically ignore the discovered Participant.

## ◆ on_reader_discovery()

virtual void on_reader_discovery | ( | RTPSParticipant * | participant,
|  | ReaderDiscoveryStatus | reason,
|  | const SubscriptionBuiltinTopicData & | info,
|  | bool & | should_be_ignored )

inline virtual

This method is called when a new Reader is discovered, or a previously discovered reader changes its QOS or is removed.

Parameters

  [in] | participant | Pointer to the Participant which discovered the remote reader.
  [in] | reason | The reason motivating this method to be called.
  [in] | info | Remote reader information.
  [out] | should_be_ignored | Flag to indicate the library to automatically ignore the discovered reader.

## ◆ on_writer_discovery()

virtual void on_writer_discovery | ( | RTPSParticipant * | participant,
|  | WriterDiscoveryStatus | reason,
|  | const PublicationBuiltinTopicData & | info,
|  | bool & | should_be_ignored )

inline virtual

This method is called when a new Writer is discovered, or a previously discovered writer changes its QOS or is removed.

Parameters

  [in] | participant | Pointer to the Participant which discovered the remote writer.
  [in] | reason | The reason motivating this method to be called.
  [in] | info | Remote writer information.
  [out] | should_be_ignored | Flag to indicate the library to automatically ignore the discovered writer.

The documentation for this class was generated from the following file:

- include/fastdds/rtps/participant/RTPSParticipantListener.hpp